Package org.apache.tomcat

## Interface JarScanFilter

- All Known Implementing Classes:
    `StandardJarScanFilter`

      public interface JarScanFilter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `check​(JarScanType jarScanType, java.lang.String jarName)` |
    `default boolean` | `isSkipAll()` |

- - ### Method Detail

    - #### check

          boolean check​(JarScanType jarScanType,
                        java.lang.String jarName)

      Parameters:
        `jarScanType` - The type of JAR scan currently being performed
        `jarName` - The name of the JAR file (without any path information) to be checked to see if it should be included in the results or not
      Returns:
        `true` if the JAR should be returned in the results, `false` if it should be excluded

    - #### isSkipAll

          default boolean isSkipAll()

      Returns:
        `true` if all of the scans should be skipped which can improve startup performance. The default is `false`.